cd mypcode
http://www.codebind.com/linux-tutorials/basic-git-commands-list/

https://github.com/pinakgt21/mycode.git

login
......

git config --global user.name "pinak.gt21@gmail.com"

git remote set-url origin https://gitlab.com/pinak.gt21/mycode.git
cd C:\Pinak\git\mycode
git clone https://gitlab.com/pinak.gt21/mycode.git
(repeat below three for all modification)
git add filename


git status
git add filename
git commit -m "comments" filename

git push -u origin master


https://pinak.000webhostapp.com/wp-admin/index.php


sstp.bt.com


http://acl.intra.bt.com/default.pac

proxy.intra.bt.com

git config --global http.proxy http://proxy.intra.bt.com:8080
git config --global http.postBuffer 157286400


Instead that, just put your boot2docker.iso in below location as.

c:\user\USERNAME\\.docker\machine\cache


Docker
..........

docker run start new contained
docker pull copies image to doker host
docker images List of Images 
docker rmi  removes images from docker host
docker ps List of running containers

docker run -d --name web -p 80:8080 pinakgt21/pluralsight-docker-cli
docker run -d --name web -p 80:8080 nigelpoulton/pluralsight-docker-cli


To go for Ubuntu
..............

docker run -it --name tem ubuntu:latest /bin/bash


To go out of container
.............

Cntrl p+Q



Stop docker

.....



docker push pinakgt21/poc:tagname



Swarm
.............

docker swarm init --advertise-addr 172.31.12.161:2377  --listen-addr 172.31.12.161:2377
docker swarm init --advertise-addr 193.113.48.11:2377  --listen-addr 193.113.48.11:2377
docker swarm init --advertise-addr 127.0.0.1:2377  --listen-addr 127.0.0.1:2377
Docker Port


Swarm initialized: current node (t5gv5bvinjmor9bu5gt5noy7i) is now a manager.

To add a worker to this swarm, run the following command:

    docker swarm join --token SWMTKN-1-58o83ck9nyi8mnl6augzljbbdxn6swgnzc4ypz8u3vps1daotn-8fo4hc3a3mne2afzavm0unu81 127.0.0.1:2377

To add a manager to this swarm, run 'docker swarm join-token manager' and follow the instructions.

$ docker swarm join-token manager
To add a manager to this swarm, run the following command:

    docker swarm join --token SWMTKN-1-58o83ck9nyi8mnl6augzljbbdxn6swgnzc4ypz8u3vps1daotn-9nhz0qud3fvdpowip3dm6ar40 127.0.0.1:2377


$ docker swarm join-token worker
To add a worker to this swarm, run the following command:

    docker swarm join --token SWMTKN-1-58o83ck9nyi8mnl6augzljbbdxn6swgnzc4ypz8u3vps1daotn-8fo4hc3a3mne2afzavm0unu81 127.0.0.1:2377


    
    To add as worker
    
    $ docker swarm join \
> --token SWMTKN-1-58o83ck9nyi8mnl6augzljbbdxn6swgnzc4ypz8u3vps1daotn-8fo4hc3a3mne2afzavm0unu81 \
> --advertise-addr new node:2377\
> --listen-addr new node:2377





Engine Port : 2375
Secure Port : 2376
Swarm Port : 2377

Start Service
.............

docker service create --name psight1 -p 8080:8080 --replicas 5 pinakgt21/images



docker service ls


docker service ps psight1

docker service inspect psight1

Service scale

docker service scale psight1=7

docker pull registry.docker.nat.bt.com/ofs/pmf-dev:1
docker run --name pmf-dev -p 8080:8080 registry.docker.nat.bt.com/ofs/pmf-dev:1


Jenkins with docker
.....................

docker run -p 8090:8080 -p 50000:50000 jenkins:2.7.1

for docker 

http://192.168.99.100:8090/login?from=%2F



Docker hub pass
..................

pinak1987
Eucalyptus@21


done 23